function h = lsqline(g)

x=g.XData';
y=g.YData';
results=myols(y,[x,x.^2],1,0);
beta=results.beta;
st=results.std;
xx=sort(x);
one=ones(size(xx));
newy=[one,xx,xx.^2]*beta;
hold on
plot(xx,newy,'.-b')
gcf
text(xx(4),newy(4),['{\bf{ $\raisebox{0.5em}{y=}{',num2str(beta(1),2),'\atop(', num2str(st(1),2),')}\raisebox{0.5em}{+}{',num2str(beta(2),2),...
    '\atop(',num2str(st(2),2),')} \raisebox{0.5em}{x +}','{',num2str(beta(3),2),...
    '\atop(',num2str(st(3),2),')} \raisebox{0.5em}{x}\raisebox{1em}{2}:\,\,R\raisebox{0.5em}{2}=',num2str(results.Rsq),'$}}'],'FontSize',20,'FontWeight','bold','Interpreter','latex');
 
% set(gcf, 'renderer','painters');
hold off
end
